version: '3.5'
services:
  cluster_initiator:
    image: 'redis/redis-stack-server:latest'
    ports:
      - '127.0.0.1:8000:8000'
    command: 'redis-cli --cluster create 172.19.0.2:7004 172.19.0.3:7005 --cluster-replicas 1 --cluster-yes'
    depends_on:
      - redis_node_5
      - redis_node_6
    networks:
      redis_cluster_net:
        ipv4_address: 173.19.0.11